/* geturl.h
   URL getter header file */

/* Macro definitions */

/* Version string */
#ifndef VERSION_STRING
#  define VERSION_STRING "GetURL"
#endif

/* Document-type flags */
enum {
   TEXTHTML = 0x0001,
   HTTP200 = 0x002
};

/* Universal error type -- used almost everywhere */
typedef enum {NOCONERROR, HOSTERR, CONTIMEDOUT, CONSOCKERR, CONERROR,
	      CONREFUSED, NEWLOCATION, NOTENOUGHMEM, CONPORTERR,
	      BINDERR, BINDOK, LISTENERR, ACCEPTERR, ACCEPTOK,
	      CONCLOSED, FTPOK, FTPLOGINC, FTPPORTERR, FTPNSFOD,
	      FTPRETROK, FTPUNKNOWNTYPE, FTPRERR, FTPREXC,
	      FTPBADFILE, FTPSRVERR, FTPRETRINT, FTPRESTFAIL,
	      URLOK, URLHTTP, URLFTP, URLUNKNOWN, URLBADPORT,
	      URLBADHOST, FOPENERR,
	      FWRITEERR, HOK, HLEXC, HEOF, HERR, RETROK, RECLEVELEXC,
	      FTPACCDENIED, RETRFINISHED, READERR, TRYLIMEXC,
	      PROXERR } uerr_t;

void *nmalloc(size_t);
void *nrealloc(void *, size_t);
char *nstrdup(char *);
void memfatal(char *);

