/* loop.h
   Header file for handling retrieve loops (both
   iterative and recursive) */


/* "Fancy" print definitions */
#ifndef DOTS_ON_LINE
#  define DOTS_ON_LINE 50
#endif /* DOTS_ON_LINE */
#ifndef BYTES_IN_DOT
#  define BYTES_IN_DOT 1024
#endif /* BYTES_IN_DOT */

/* How many dots before a SPACE */
#ifndef DOT_SPACING
#  define DOT_SPACING 10
#endif /* DOT_SPACING */

/* Function declarations */
void show_progress(long, int);
char *time_str(void);
uerr_t retrieve_url(char *, char **, int, int *);
int retrieve_more_urls(char **, int);
uerr_t retrieve_urls_from_file(char **, char *, int);
uerr_t recursive_retrieve(char **, char *, int, int, char *);
void printwhat(int, int);
